Package com.destroystokyo.paper.event.block

# Class BeaconEffectEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
com.destroystokyo.paper.event.block.BeaconEffectEvent

All Implemented Interfaces:
  `Cancellable`

public class BeaconEffectEvent extends BlockEvent implements Cancellable
Called when a beacon effect is being applied to a player.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BeaconEffectEvent(@NotNull Block block, @NotNull PotionEffect effect, @NotNull Player player, boolean primary)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull PotionEffect`
`getEffect()`
Gets the potion effect being applied.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Player`
`getPlayer()`
Gets the player who the potion effect is being applied to.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`boolean`
`isPrimary()`
Gets whether the effect is a primary beacon effect.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.
`void`
`setEffect(@NotNull PotionEffect effect)`
Sets the potion effect that will be applied.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeaconEffectEvent

public BeaconEffectEvent(@NotNull @NotNull Block block, @NotNull @NotNull PotionEffect effect, @NotNull @NotNull Player player, boolean primary)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event

### getEffect

@NotNull public @NotNull PotionEffect getEffect()
Gets the potion effect being applied.

Returns:
  Potion effect

### setEffect

public void setEffect(@NotNull @NotNull PotionEffect effect)
Sets the potion effect that will be applied.

Parameters:
  `effect` - Potion effect

### getPlayer

@NotNull public @NotNull Player getPlayer()
Gets the player who the potion effect is being applied to.

Returns:
  Affected player

### isPrimary

public boolean isPrimary()
Gets whether the effect is a primary beacon effect.

Returns:
  true if this event represents a primary effect

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()